Results 1 to 5 of 5
  1.    #1  
    I'm increasingly seeing software being developed and offered only for Palm OS versions of 4.0 or even 5.0. Us Treo 300 owners seemed mired in the Handspring-modified version of Palm OS 3.5 Mine is specifically version 3.5H5 with the "H5" being the flag that it is Handspring modified. I bought mine in mid 2002.

    Two questions:
    1. To recent buyers of the Treo 300 - Are your OS versions the same or higher, either in the Palm portion or the Handspring portion of the version?
    2. I browsed Handspring's site and Sprint's site with no luck on Treo 300 OS upgrades. Does anyone know of, or has experimented with, upgrading their OS to 4.0 or higher? I've heard that this is "forbidden" on Handspring units because of their mods and will only result in suffering for both the unit and the user. Is this the truth?

    Are we to be left behind in software development because of our ancient OS?

    -pseudomass
  2. #2  
    There is discussion in another thread about an impending upgrade to the Treo's firmware, which is currently version 1.02, I believe. The new version is expected to be 1.21, although I've not yet read about what's included in the upgrade.

    As far as upgrading the Palm OS, the answer is no. There would have to be a special version of the Palm OS released for the Treo, and since Handspring has already announced its replacement, I'd really doubt they will spend time on an upgrade.

    For that matter, I'm not even sure the Treo has flash memory and can be upgraded.

    Geoffrey
  3. #3  
    What would you upgrade to? The Treo already has some 4.1 extensions built in to the existing O/S and it is impossible to upgrade to 5.0 on the existing platfom.
  4.    #4  
    I see a lot of software being developed only for 4.0 or higher OS versions. Today there was a bunch of Sega games advertised at Handango...all for v.4.0. Another example is Megaclock, which needs v.4.0....

    m
  5. #5  
    Originally posted by pseudomass
    I see a lot of software being developed only for 4.0 or higher OS versions. Today there was a bunch of Sega games advertised at Handango...all for v.4.0. Another example is Megaclock, which needs v.4.0....

    m
    the general consensus on this board, since last summer, discussed numerous times by folks who seem to know, is that the treo is NOT capable of running any higher palm OS even if they wanted to do it.
    Change is a challenge to the adventurous, an opportunity to the alert, a threat to the insecure.

Posting Permissions